# Geometry and Fields API

::: tensyl.geometry
    options:
      show_source: false
      members:
        - SurfacePoint
        - Surface
        - FlatPlate
        - Cylinder
        - Sphere
        - SphericalCap
        - ConicalFrustum
        - Ellipsoid

::: tensyl.fields
    options:
      show_source: false
      members:
        - StiffnessField
        - ConstantStiffnessField
        - HomogenizedStiffnessField
        - StiffnessCache
        - ABDAtlas
